close all
clear all
clc

load('D:\monahichert\My Documents\Research\Papers\#2 - METC\PlosONE\Data klaar\Uploaded data\Matlab files\Presults','AllResults');

conditions = {'10', '15', '20', '25', '30', '40', ...
    '10-10', '10-20', '10-40', '10-60', '10-80', ...
    '20-10', '20-20', '20-40', '20-60', '20-80'}; 
refF = [10, 15, 20, 25, 30, 40,... 
    10, 10, 10, 10, 10,...
    20, 20, 20, 20, 20]; % Reference forces

PP = 1:25;
% We only want conditioin s1-6
AllResults = AllResults(:,1:6);     % result = [FaVm ; FaVs ; FaBm ; FaBs; FbVm ; FbVs ; FbBm ; FbBs]
conditions = conditions(1:6);
refF = refF(1:6);
% Remove subject 2
AllResults(2,:) = [];
PP(2) = [];

 %% Average the data
 % compute a single value for each subject and condition by averaging over
 % blocks. WE are now interested in the force error and variability FE and
 % FV for visaul and blind: FEV, FEB, FVV, FVB
 [Npp, Nconds] = size(AllResults);
 FEV = nan(Npp, Nconds);
 FEB = nan(Npp, Nconds);
 FVV = nan(Npp, Nconds);
 FVB = nan(Npp, Nconds);
 EB = nan(15, Nconds);
 FRE = nan(Npp, Nconds); % force reproduction error Fbackblind -Fback visual

 for subject_tel = 1:Npp
     for cond_tel = 1:Nconds
         tmp = AllResults{subject_tel,cond_tel};
         tmp = transpose(tmp);
         EB1 = tmp(:,7)-refF(cond_tel);
         EB(1:length(EB1),cond_tel) = EB1;
         FVB(subject_tel,cond_tel) = mean(tmp(:,8));
         FbB= tmp(:,7);
         FbV = tmp(:,5);
         FRE(subject_tel,cond_tel) = mean(FbB-FbV);

          avEB(subject_tel,cond_tel)=nanmean(EB(:, cond_tel));
          stdEB(subject_tel,cond_tel)=nanstd(EB(:, cond_tel));
         
     end
 end

[L1,L2] = size(transpose(avEB));
x = 1:L1;
fs = 14;
fs2 = 12;


% bar plots with errorbar(mean, std)
avEB = FRE;
f=figure;
hold on
bar(x, mean(avEB), .6, 'FaceColor',[.5 .5 .5])
errorbar(x,mean(avEB), std(avEB),'k.');
line([0 42.5], [0 0], 'Color','k', 'LineStyle','-.')
set(gca,'XTick',x,'XTickLabel',{'10','15','20','25','30','40'}, 'FontSize', fs2)
xlim([0 7])
ylim([-2 10])
xlabel('Target Forces [N]', 'FontSize', fs)
ylabel('Force Reproduction Error [N]', 'FontSize', fs)
title('inter-subject variability (n=24)', 'FontSize', fs)
saveas(f, 'D:\monahichert\My Documents\Research\Papers\#2 - METC\PlosONE\Data klaar\Uploaded data\Matlab files\figures\FREnd.fig')
saveas(f, 'D:\monahichert\My Documents\Research\Papers\#2 - METC\PlosONE\Data klaar\Uploaded data\Matlab files\figures\FREnd.jpg')
saveas(f, 'D:\monahichert\My Documents\Research\Papers\#2 - METC\PlosONE\Data klaar\Uploaded data\Matlab files\figures\FREnd.tiff')

f=figure;
hold on
bar(x, mean(FVB), .6, 'FaceColor',[.5 .5 .5])
errorbar(x,mean(FVB), std(FVB),'k.');
set(gca,'XTick',x,'XTickLabel',{'10','15','20','25','30','40'}, 'FontSize', fs)
xlim([0 7])
ylim([0 2.5])
xlabel('Target Forces [N]', 'FontSize', fs)
ylabel('Force Variability [N]', 'FontSize', fs)
title('inter-subject variability (n=24)', 'FontSize', fs)
saveas(f, 'D:\monahichert\My Documents\Research\Papers\#2 - METC\PlosONE\Data klaar\Uploaded data\Matlab files\figures\FVnd.fig')
saveas(f, 'D:\monahichert\My Documents\Research\Papers\#2 - METC\PlosONE\Data klaar\Uploaded data\Matlab files\figures\FVnd.jpg')
saveas(f, 'D:\monahichert\My Documents\Research\Papers\#2 - METC\PlosONE\Data klaar\Uploaded data\Matlab files\figures\FVnd.tiff')

