close all
clear all
clc

load('D:\monahichert\My Documents\Research\Papers\#2 - METC\PlosONE\Data klaar\Uploaded data\Matlab files\Presults','AllResults');

conditions = {'10', '15', '20', '25', '30', '40', ...
    '10-10', '10-20', '10-40', '10-60', '10-80', ...
    '20-10', '20-20', '20-40', '20-60', '20-80'}; 
refF = [10, 15, 20, 25, 30, 40,... 
    10, 10, 10, 10, 10,...
    20, 20, 20, 20, 20]; % Reference forces

PP = 1:25;
% We only want conditioin 7-16
AllResults = AllResults(:,7:end);
conditions = conditions(7:end);
refF = refF(7:end);
% Remove subject 2
AllResults(2,:) = [];
PP(2) = [];

 %% Average the data
 % compute a single value for each subject and condition by averaging over
 % blocks. WE are now interested in the force error and variability FE and
 % FV for visaul and blind: FEV, FEB, FVV, FVB
 [Npp, Nconds] = size(AllResults);
 FEV = nan(Npp, Nconds);
 FEB = nan(Npp, Nconds);
 FVV = nan(Npp, Nconds);
 FVB = nan(Npp, Nconds);
 EB = nan(15, Nconds);
 FRE = nan(Npp, Nconds); % force reproduction error Fbackblind -Fback visual
 
 for subject_tel = 1:Npp
     for cond_tel = 1:Nconds
         tmp = AllResults{subject_tel,cond_tel};
         tmp = transpose(tmp);
         EB1 = tmp(:,3)-refF(cond_tel);
         EB(1:length(EB1),cond_tel) = EB1;
         FVB(subject_tel,cond_tel) = mean(tmp(:,4));
         FbB= tmp(:,7);
         FbV = tmp(:,5);
         FRE(subject_tel,cond_tel) = mean(FbB-FbV);
         
          avEB(subject_tel,cond_tel)=nanmean(EB(:, cond_tel));
          stdEB(subject_tel,cond_tel)=nanstd(EB(:, cond_tel));
         
     end
 end


ylimitEB = [-1 5];
ylimitFVB = [-0.05 0.65];

[L1,L2] = size(transpose(avEB));
x = 1:L1;
fs = 14;
fs2 = 12;

f=figure;
avEB = FRE;
hold on
bar(x,mean(avEB), .6, 'FaceColor',[.5 .5 .5])
errorbar(x,mean(avEB), std(avEB),'k.');
line([0 42.5], [0 0], 'Color','k', 'LineStyle','-.')
line([5.5 5.5], [-6 8], 'Color','k', 'LineStyle','--', 'LineWidth', 2) 
text(1.0,4.5,'Target force = 10 N', 'FontSize', fs)
text(6.3,4.5,'Target force = 20 N', 'FontSize', fs)
set(gca,'XTick',x,'XTickLabel',{'10', '20', '40', '60', '80', '10', '20', '40', '60', '80'}, 'FontSize', fs2)
xlim([0 10.5])
ylim(ylimitEB)
xlabel('Displacement [mm]', 'FontSize', fs)
ylabel('Force Reproduction Error [N]', 'FontSize', fs)
title('inter-subject variability (n=24)', 'FontSize', fs)
saveas(f, 'D:\monahichert\My Documents\Research\Papers\#2 - METC\PlosONE\Data klaar\Uploaded data\Matlab files\figures\FREd.fig')
saveas(f, 'D:\monahichert\My Documents\Research\Papers\#2 - METC\PlosONE\Data klaar\Uploaded data\Matlab files\figures\FREd.tiff')
saveas(f, 'D:\monahichert\My Documents\Research\Papers\#2 - METC\PlosONE\Data klaar\Uploaded data\Matlab files\figures\FREd.jpg')

f=figure;
hold on
bar(x,mean(FVB), .6, 'FaceColor',[.5 .5 .5])
errorbar(x,mean(FVB), std(FVB),'k.');
line([5.5 5.5], [-0.1 1.4], 'Color','k', 'LineStyle','--', 'LineWidth', 2)
text(1.0,0.6,'Target force = 10 N', 'FontSize', fs)
text(6.3,0.6,'Target force = 20 N', 'FontSize', fs)
set(gca,'XTick',x,'XTickLabel',{'10', '20', '40', '60', '80', '10', '20', '40', '60', '80'}, 'FontSize', fs2)
xlim([0 10.5])
ylim(ylimitFVB)
xlabel('Displacement [mm]', 'FontSize', fs)
ylabel('Force Variability [N]', 'FontSize', fs)
title('inter-subject variability (n=24)', 'FontSize', fs)
saveas(f, 'D:\monahichert\My Documents\Research\Papers\#2 - METC\PlosONE\Data klaar\Uploaded data\Matlab files\figures\FVd.fig')
saveas(f, 'D:\monahichert\My Documents\Research\Papers\#2 - METC\PlosONE\Data klaar\Uploaded data\Matlab files\figures\FVd.tiff')
saveas(f, 'D:\monahichert\My Documents\Research\Papers\#2 - METC\PlosONE\Data klaar\Uploaded data\Matlab files\figures\FVd.jpg')
