% This script determines the mean and standard deviations of the visual and
% blind blocks for all conditions of the perception experiment

%%
close all
clc

fullscreen = get(0,'ScreenSize');
Npp = 25;   % # of subjects
Nconds = 16;
% tested conditions (1 to 6 without displacement - 7 to 16 with displacement)
conditions = {'10', '15', '20', '25', '30', '40', ...
    '10-10', '10-20', '10-40', '10-60', '10-80', ...
    '20-10', '20-20', '20-40', '20-60', '20-80'}; 
refF = [10, 15, 20, 25, 30, 40,... 
    10, 10, 10, 10, 10,...
    20, 20, 20, 20, 20];
% load raw data matrixes
load('rawPerdata.mat')
% raw data = rd
% rd_p(perception experiments: length perception data file, # measured
%   variables (1=time, 2=forceBack, 3=forceReference, 4=forceArm, 
%   5=displacement), # conditions, # subjects)

%%

AllResults = cell(Npp,Nconds);
for subj = 1:25
    disp(['Computing results for subject ' num2str(subj)]);
    for cond = 1:16
        % Retrieve data
        data_tmp = squeeze(rd_p(:,:,cond,subj));
        tmp = find(isnan(data_tmp(:,1)),1);
        data_tmp(tmp:end,:) = [];
        % Process data
        result = process_single_cond(subj,cond,data_tmp, conditions,4);
        % Result = 4xN matrix [FaVm ; FaVs ; FaBm ; FaBs]
        % Store data
        AllResults{subj,cond} = result; % result = [FaVm ; FaVs ; FaBm ; FaBs; FbVm ; FbVs ; FbBm ; FbBs]
    end
end
%% Save data
save('D:\monahichert\My Documents\Research\Papers\#2 - METC\PlosONE\Data klaar\Uploaded data\Matlab files\Presults','AllResults');

