% This script processes the raw data and stores in in matrices that can be
% used by other scripts.
close all
clc

% tested conditions (1 to 6 without displacement - 7 to 16 with displacement)
conditions = {'10', '15', '20', '25', '30', '40', ...
    '10-10', '10-20', '10-40', '10-60', '10-80', ...
    '20-10', '20-20', '20-40', '20-60', '20-80'}; 

%% define matrixes
% raw data = rd
rd_max = NaN(1002,6,25);    % maximum force experiments: length(Fmax), ...
...repetitions, # subjects)

%% load max force data in raw data matrix
for subj = 1:25 % subjects (1-25)
    
    % maximum force experiments
    for maxm = 1:6 % maximum measurement (1-6)
        filenameM = ['s', num2str(subj), 'm', num2str(maxm)];
        % import data 
        fnM = ['D:\monahichert\My Documents\Research\Papers\#2 - METC\PlosONE\Data klaar\Uploaded data\max force data\',filenameM,'.xls'];
        fileM = load (fnM);
        % shorten vector if longer than 1002 entries             
        if length(fileM) > 1002
            fileM = fileM(1:1002, :); % subject 1 was measured for 4 seconds
        end
        % write in raw data matrix
        rd_max(:,maxm,subj) = fileM(:,2); % force
    end
end

%%
Nsubjects = 25;
Ntrials = 16;
rd_p = NaN(18510,5,Ntrials,Nsubjects);  % perception experiments: length perception ...
...data file, # measured variables, # conditions, # subjects

for subj = 1:Nsubjects % subjects (1-25)
    display(['Processsing Subject ' num2str(subj)]);
    % perception experiments
    for cond = 1:Ntrials % conditions perception experiments (1-16)
        % missing data of subject 2 for condition 6 till 16
        if ~(ismember(subj,2) && ismember(cond,11:16))
            filenameP = ['s', num2str(subj), 'p', conditions{cond}];
            fnP = ['D:\monahichert\My Documents\Research\Papers\#2 - METC\PlosONE\Data klaar\Uploaded data\perception data\',filenameP,'.xls'];
            fileP = load (fnP);
            if sum(sum(isnan(fileP))) > 0
                disp(['Subject = ' num2str(subj) ', conditon = ' num2str(cond)]);
                error('NaNs found in the loaded data');
            end
            % write in raw data matrix
            rd_p(1:size(fileP,1),1,cond,subj)= fileP(:,1)./1000;    % time
            rd_p(1:size(fileP,1),2,cond,subj)= fileP(:,2);    % force back
            rd_p(1:size(fileP,1),3,cond,subj)= fileP(:,3);    % reference force
            rd_p(1:size(fileP,1),4,cond,subj)= fileP(:,4);    % force arm
            rd_p(1:size(fileP,1),5,cond,subj)= fileP(:,5);    % displacement
        end
    end
end

%% save data in m-file
save('D:\monahichert\My Documents\Research\Papers\#2 - METC\PlosONE\Data klaar\Uploaded data\Matlab files\rawMaxdata', 'rd_max')
save('D:\monahichert\My Documents\Research\Papers\#2 - METC\PlosONE\Data klaar\Uploaded data\Matlab files\rawPerdata', 'rd_p')
