function [expID,parID,tlxScore,scalemental,scalephysical,scaletemporal,scaleperform,scaleeffort,scalefrustration,workloadmental,workloadphysical,workloadtemporal,workloadperform,workloadeffort,workloadfrustration,workloadWeightedmental,workloadWeightedphysical,workloadWeightedtemporal,workloadWeightedperform,workloadWeightedeffort,workloadWeightedfrustrati] = loadtlx(filename, startRow, endRow)
%IMPORTFILE Import numeric data from a text file as column vectors.
%   [EXPID,PARID,TLXSCORE,SCALEMENTAL,SCALEPHYSICAL,SCALETEMPORAL,SCALEPERFORM,SCALEEFFORT,SCALEFRUSTRATION,WORKLOADMENTAL,WORKLOADPHYSICAL,WORKLOADTEMPORAL,WORKLOADPERFORM,WORKLOADEFFORT,WORKLOADFRUSTRATION,WORKLOADWEIGHTEDMENTAL,WORKLOADWEIGHTEDPHYSICAL,WORKLOADWEIGHTEDTEMPORAL,WORKLOADWEIGHTEDPERFORM,WORKLOADWEIGHTEDEFFORT,WORKLOADWEIGHTEDFRUSTRATI]
%   = IMPORTFILE(FILENAME) Reads data from text file FILENAME for the
%   default selection.
%
%   [EXPID,PARID,TLXSCORE,SCALEMENTAL,SCALEPHYSICAL,SCALETEMPORAL,SCALEPERFORM,SCALEEFFORT,SCALEFRUSTRATION,WORKLOADMENTAL,WORKLOADPHYSICAL,WORKLOADTEMPORAL,WORKLOADPERFORM,WORKLOADEFFORT,WORKLOADFRUSTRATION,WORKLOADWEIGHTEDMENTAL,WORKLOADWEIGHTEDPHYSICAL,WORKLOADWEIGHTEDTEMPORAL,WORKLOADWEIGHTEDPERFORM,WORKLOADWEIGHTEDEFFORT,WORKLOADWEIGHTEDFRUSTRATI]
%   = IMPORTFILE(FILENAME, STARTROW, ENDROW) Reads data from rows STARTROW
%   through ENDROW of text file FILENAME.
%
% Example:
%   [expID,parID,tlxScore,scalemental,scalephysical,scaletemporal,scaleperform,scaleeffort,scalefrustration,workloadmental,workloadphysical,workloadtemporal,workloadperform,workloadeffort,workloadfrustration,workloadWeightedmental,workloadWeightedphysical,workloadWeightedtemporal,workloadWeightedperform,workloadWeightedeffort,workloadWeightedfrustrati]
%   = importfile('Jeroen.csv',2, 41);
%
%    See also TEXTSCAN.

% Auto-generated by MATLAB on 2013/07/07 14:49:54

%% Initialize variables.
delimiter = {',',' '};
if nargin<=2
    startRow = 2;
    endRow = inf;
end

%% Format string for each line of text:
%   column1: double (%f)
%	column2: double (%f)
%   column3: double (%f)
%	column4: double (%f)
%   column5: double (%f)
%	column6: double (%f)
%   column7: double (%f)
%	column8: double (%f)
%   column9: double (%f)
%	column10: text (%s)
%   column11: text (%s)
%	column12: text (%s)
%   column13: text (%s)
%	column14: text (%s)
%   column15: text (%s)
%	column16: text (%s)
%   column17: text (%s)
%	column18: text (%s)
%   column19: text (%s)
%	column20: text (%s)
%   column21: text (%s)
% For more information, see the TEXTSCAN documentation.
formatSpec = '%s%s%f%f%f%f%f%f%f%s%s%s%s%s%s%s%s%s%s%s%s%[^\n\r]';

%% Open the text file.
fileID = fopen(filename,'r');

%% Read columns of data according to format string.
% This call is based on the structure of the file used to generate this
% code. If an error occurs for a different file, try regenerating the code
% from the Import Tool.
dataArray = textscan(fileID, formatSpec, endRow(1)-startRow(1)+1, 'Delimiter', delimiter, 'MultipleDelimsAsOne', true, 'HeaderLines', startRow(1)-1, 'ReturnOnError', false);
for block=2:length(startRow)
    frewind(fileID);
    dataArrayBlock = textscan(fileID, formatSpec, endRow(block)-startRow(block)+1, 'Delimiter', delimiter, 'MultipleDelimsAsOne', true, 'HeaderLines', startRow(block)-1, 'ReturnOnError', false);
    for col=1:length(dataArray)
        dataArray{col} = [dataArray{col};dataArrayBlock{col}];
    end
end

%% Close the text file.
fclose(fileID);

%% Post processing for unimportable data.
% No unimportable data rules were applied during the import, so no post
% processing code is included. To generate code which works for
% unimportable data, select unimportable cells in a file and regenerate the
% script.

%% Allocate imported array to column variable names
expID = dataArray{:, 1};
parID = dataArray{:, 2};
tlxScore = dataArray{:, 3};
scalemental = dataArray{:, 4};
scalephysical = dataArray{:, 5};
scaletemporal = dataArray{:, 6};
scaleperform = dataArray{:, 7};
scaleeffort = dataArray{:, 8};
scalefrustration = dataArray{:, 9};
workloadmental = dataArray{:, 10};
workloadphysical = dataArray{:, 11};
workloadtemporal = dataArray{:, 12};
workloadperform = dataArray{:, 13};
workloadeffort = dataArray{:, 14};
workloadfrustration = dataArray{:, 15};
workloadWeightedmental = dataArray{:, 16};
workloadWeightedphysical = dataArray{:, 17};
workloadWeightedtemporal = dataArray{:, 18};
workloadWeightedperform = dataArray{:, 19};
workloadWeightedeffort = dataArray{:, 20};
workloadWeightedfrustrati = dataArray{:, 21};

